Bug 1126842 - mnemosyne crashes in Tumbleweed
mnemosyne crashes in Tumbleweed
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
x86-64 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Lars Vogdt
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-25 15:54 UTC by Stakanov Schufter
Modified: 2019-10-27 21:27 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stakanov Schufter 2019-02-25 15:54:15 UTC
Flashcard program mnemosyne from the education repo crashes in all editions of opensuse with the exception of beta leap 15.1.

In order to avoid to see it crashing in future there too, and to use it also in TW: 

Install mnemosyne and all related "reccomands" (warning draws in 1 GB of texlife). 
Start it: nothing happens.
Start it from the terminal, you get the following output:


mnemosyne
Log body An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
  File "/usr/bin/mnemosyne", line 145, in <module>
    from PyQt5 import QtWebEngineWidgets  # Needs to happen first for some reason.
 ImportError: cannot import name 'QtWebEngineWidgets' from 'PyQt5' (/usr/lib64/python3.7/site-packages/PyQt5/__init__.py)

An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
  File "/usr/bin/mnemosyne", line 145, in <module>
    from PyQt5 import QtWebEngineWidgets  # Needs to happen first for some reason.
 ImportError: cannot import name 'QtWebEngineWidgets' from 'PyQt5' (/usr/lib64/python3.7/site-packages/PyQt5/__init__.py)
An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
  File "/usr/bin/mnemosyne", line 145, in <module>
    from PyQt5 import QtWebEngineWidgets  # Needs to happen first for some reason.
 ImportError: cannot import name 'QtWebEngineWidgets' from 'PyQt5' (/usr/lib64/python3.7/site-packages/PyQt5/__init__.py)


In Leap 15 the program "dumps core", which I did not identify in the moment (but since it works already in 15.1 I thought to see it better fixed for the future in TW). 
The packages are the rpms from opensuse education repo.
Comment 1 Stakanov Schufter 2019-03-06 07:07:00 UTC
FYI
There have been some updates recently in Leap 15. 
I do not know which was the "right" one, but currently mnemosyne starts in 15.0 and 15.1.

So we are left with TW.
Comment 3 Alynx Zhou 2019-07-05 01:43:16 UTC
Hi Stakanov, is there something missed when you are installing PyQt5? You may try to reinstall PyQt5 and see whether this problem exists (because I cannot find PyQt5 with zypper, I assume you installed it with pip or some other software installed it with pip). Also it may be a PyQt5 version problem.

The person I found in mnemosyne is not a member of bugzilla so I cannot assign this bug to some one. Maybe this repo is not maintainer by bugzilla.
Comment 4 Stakanov Schufter 2019-07-05 04:20:41 UTC
Hi Alynx, 

As 42.3 is out of support, it worked with 15 and 15.1, I will now have a look if the problem still persists with the newest snapshot in TW. If not then we can simply close it (which I will do once done the test) if you agree. 

Thank you for having looked into it. Chances are good that this is at the end because in TW somebody did a wrong dependency. 
If I encounter still the error, I will just report it here, close it as upstream and try it the project. 
Can you live with that?
Comment 5 Alynx Zhou 2019-07-05 05:25:57 UTC
(In reply to Stakanov Schufter from comment #4)
> Hi Alynx, 
> 
> As 42.3 is out of support, it worked with 15 and 15.1, I will now have a
> look if the problem still persists with the newest snapshot in TW. If not
> then we can simply close it (which I will do once done the test) if you
> agree. 
> 
> Thank you for having looked into it. Chances are good that this is at the
> end because in TW somebody did a wrong dependency. 
> If I encounter still the error, I will just report it here, close it as
> upstream and try it the project. 
> Can you live with that?

No bug or already fixed is the best result, which is good for both of us XD.
Comment 6 Alynx Zhou 2019-07-08 02:31:24 UTC
If the bug has been fixed could you please close it? Thanks!
Comment 7 Stakanov Schufter 2019-07-08 11:34:40 UTC
Sorry for the late reply. 
Does not start in the latest TW. 
I get from terminal:
entropy@silversurfer:~> mnemosyne
Log body An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
  File "/usr/bin/mnemosyne", line 145, in <module>
    from PyQt5 import QtWebEngineWidgets  # Needs to happen first for some reason.
 ImportError: cannot import name 'QtWebEngineWidgets' from 'PyQt5' (/usr/lib64/python3.7/site-packages/PyQt5/__init__.py)

An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
  File "/usr/bin/mnemosyne", line 145, in <module>
    from PyQt5 import QtWebEngineWidgets  # Needs to happen first for some reason.
 ImportError: cannot import name 'QtWebEngineWidgets' from 'PyQt5' (/usr/lib64/python3.7/site-packages/PyQt5/__init__.py)
An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
  File "/usr/bin/mnemosyne", line 145, in <module>
    from PyQt5 import QtWebEngineWidgets  # Needs to happen first for some reason.
 ImportError: cannot import name 'QtWebEngineWidgets' from 'PyQt5' (/usr/lib64/python3.7/site-packages/PyQt5/__init__.py)
entropy@silversurfer:~>
Comment 8 Eric Schirra 2019-07-16 15:07:39 UTC
No problem here in Leap 15.1.
Can not test in Tumbleweed, because i have no Tumbleweed installed.
Comment 9 Eric Schirra 2019-07-16 15:08:50 UTC
Have now made a request for update to 2.6.1
Comment 10 Stakanov Schufter 2019-07-17 12:17:08 UTC
entropy@silversurfer:~> mnemosyne --version
Mnemosyne 2.6.1

entropy@silversurfer:~> mnemosyne
Log body:
 An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
  File "/usr/bin/mnemosyne", line 145, in <module>
    from PyQt5 import QtWebEngineWidgets  # Needs to happen first for some reason.
 ImportError: cannot import name 'QtWebEngineWidgets' from 'PyQt5' (/usr/lib64/python3.7/site-packages/PyQt5/__init__.py)

An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
  File "/usr/bin/mnemosyne", line 145, in <module>
    from PyQt5 import QtWebEngineWidgets  # Needs to happen first for some reason.
 ImportError: cannot import name 'QtWebEngineWidgets' from 'PyQt5' (/usr/lib64/python3.7/site-packages/PyQt5/__init__.py)
An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
  File "/usr/bin/mnemosyne", line 145, in <module>
    from PyQt5 import QtWebEngineWidgets  # Needs to happen first for some reason.
 ImportError: cannot import name 'QtWebEngineWidgets' from 'PyQt5' (/usr/lib64/python3.7/site-packages/PyQt5/__init__.py)


So, this program does not want to know from running in TW. Works flawlessly in 15.1 BTW. Tried today.
Comment 11 Eric Schirra 2019-10-26 11:22:19 UTC
Have test in KVM for Tumbleweed. The bug is right.
Have fix it and test it on kvm now without error.
Request ist done for repo Education.
Comment 12 Stakanov Schufter 2019-10-27 21:27:28 UTC
I have now tried (with the incoming update) and everything is fine. So this bug is fixed. Thank you very much. Closing.